package fi.cc.android;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.Window;
import android.view.View.OnClickListener;
import android.widget.Button;

public class RaceDroidActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
     // turn off the window's title bar
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        
        setContentView(R.layout.startgame);
        Button singleplayerButton = (Button) findViewById(R.id.startgame);
        Button serverButton=(Button) findViewById(R.id.servermode);
        Button clientButton=(Button) findViewById(R.id.clientmode);
        
        singleplayerButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				Intent StartGameIntent = new Intent(getApplicationContext(),GameMainActivity.class);
				StartGameIntent.putExtra("multi", false);
		        startActivity(StartGameIntent);
				
			}
        }); 
        
        serverButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				Intent StartServerIntent = new Intent(getApplicationContext(),GameServerActivity.class);
		        startActivity(StartServerIntent);

				
			}
        });
        clientButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				Intent StartClientIntent = new Intent(getApplicationContext(),GameClientActivity.class);
		        startActivity(StartClientIntent);
				
			}
        });

    }
}